$Id: README 94633 2011-10-06 12:51:07Z johnnyw $

This test simulates the sending of a GIOP CloseConnection message.
Since TAO does not send this GIOP message, a perl script
(fakeserver2.pl) is used to simulate a CORBA server.  Since it isn't
really a CORBA server, it has no way to generate an IOR, and instead
listens on a pre-selected fixed port (1192).  Thus, part of this test
includes an IOR for a server listening on endpoint
iiop://127.0.0.1:1192.

If the port number must be changed at some point in the future, one
will have to generate a new IOR file as well.  The original was
generated using the "server" from the "Hello" test
($ACE_ROOT/TAO/tests/Hello) with ORB arguments

    -ORBDottedDecimalAddresses 1 -ORBendpoint iiop://127.0.0.1:1192

Something similar could be used to re-generate.


